%define	name genius
%define	version 1.0.9
%define	release %mkrel 1

%define __libtoolize    /bin/true

Summary: Genius advanced calculator
Summary(de): Genius erweiterter Taschenrechner
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Office
Source: http://www.jirka.org/%{name}-%{version}.tar.bz2
URL: http://www.jirka.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: vte-devel
BuildRequires: gtk2-devel 
BuildRequires: intltool 
BuildRequires: gettext
BuildRequires: bison
BuildRequires: flex
BuildRequires: gtksourceview-devel
BuildRequires: perl-XML-Parser
BuildRequires:  gnome-doc-utils
BuildRequires: scrollkeeper
BuildRequires: readline-devel
BuildRequires: pkgconfig
BuildRequires: desktop-file-utils
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version

%description
Genius is a general purpose calculator program similiar in some aspects to 
BC, Matlab, Maple or Mathematica. It is useful both as a simple calculator 
and as a research or educational tool. The syntax is very intuitive and is
designed to mimic how mathematics is usually written. GEL is the name of its
extention language, it stands for Genius Extension Language, clever isn't it?
In fact, many of the standard genius functions are written in GEL itself. 

#german
%description -l de
Genius ist eine Allzweck-Rechner-Programm, ähnlich in einigen Aspekten wie BC, Matlab, Maple oder Mathematica. 


%prep

%setup -q

%build
%configure2_5x \
       --disable-scrollkeeper

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

#icon fix
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -a $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/gnome-genius.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps

#remove
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/*.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/globs
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/magic

%find_lang %{name}

%post
%update_menus
%update_scrollkeeper
%update_mime_database

%postun
%clean_scrollkeeper
%clean_mime_database
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README ABOUT-NLS AUTHORS COPYING NEWS TODO ChangeLog
%{_bindir}/%{name}
%{_bindir}/gnome-%{name}
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_libdir}/genius-readline-helper-fifo
%{_includedir}/%{name}
%{_datadir}/application-registry/*
%{_datadir}/mime/
%{_datadir}/mime-info
%{_datadir}/icons/*/*/*/*
%{_datadir}/gnome/help/
%{_datadir}/omf/genius/genius-*.omf
%{_datadir}/applications/*
%{_datadir}/pixmaps/*.png

%changelog
* Wed Dec 23 2009 slick50 <lxgator@gmail.com> 1.0.9-1pclos2010
- 1.0.9

* Tue Nov 10 2009 slick50 <lxgator@gmail.com> 1.0.8-1pclos2010
- initial build

